Bug 139168 - new port: audio/mp3splt-gtk
Summary: new port: audio/mp3splt-gtk
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-27 03:10 UTC by Timothy Beyer
Modified: 2009-11-27 11:00 UTC (History)
1 user (show)

See Also:


Attachments
mp3splt-gtk.shar (2.42 KB, text/plain)
2009-09-27 03:10 UTC, Timothy Beyer
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timothy Beyer 2009-09-27 03:10:03 UTC

-This is a GUI version of mp3splt, dependent on mp3splt it is dependent on my PR submission for audio/libmp3splt to compile (see http://www.freebsd.org/cgi/query-pr.cgi?pr=139166 for the PR)

Fix: The included shar
How-To-Repeat:     -Need to apply my submitted update for audio/libmp3splt first (mp3splt-gtk versions are tied directly to the respective version of libmp3splt -- the old mp3splt-gtk will not compile on newer versions of libmp3splt)
    -Extract the shar
Comment 1 Martin Wilke freebsd_committer 2009-09-27 10:45:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2009-09-30 15:15:22 UTC
Responsible Changed
From-To: miwi->wen

over to my mentee, he need this one also :)
Comment 3 wenheping 2009-10-07 09:11:48 UTC
Hi,

   The build failed on my tinderbox, here is the build log , would you have
 a check of it ?


building mp3splt-gtk-0.5.7a in directory /usr/local/tinderbox/6.4-FreeBSD
build started at Wed Oct  7 07:45:35 UTC 2009
port directory: /usr/ports/audio/mp3splt-gtk
building for:  6.4-RELEASE i386
maintained by: beyert@cs.ucr.edu
ident warning: no id keywords in /usr/ports/audio/mp3splt-gtk/Makefile
Makefile ident:
prefixes: LOCALBASE=usr/local X11BASE=usr/local PREFIX=/usr/local
Begin Configuration:
---Begin Environment---
ARCH=i386
PACKAGE_BUILDING=1
USER=root
CCACHE_DIR=
BRANCH=RELEASE
CCACHE_NOLINK=1
HOST_WORKDIR=
X11BASE=/usr/local
BATCH=1
OLDPWD=/
HOME=/root
SRCBASE=/usr/local/tinderbox/jails/6.4/src
PKGZIPCMD=bzip2
HAVE_MOTIF=1
FTP_TIMEOUT=900
HTTP_TIMEOUT=900
defaultUpdateHost=cvsup12.FreeBSD.org
pb=/usr/local/tinderbox
DISTFILE_CACHE=/usr/ports/distfiles/
OSREL=6.4
defaultUpdateType=CSUP
PORTOBJFORMAT=elf
WRKDIRPREFIX=/work
DISTDIR=/tmp/distfiles
DISTCACHE=/distcache
CCACHE_LOGFILE=
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/usr/local/bin
PACKAGES=/tmp/packages
TIMEOUT=7200
PKGSUFFIX=.tbz
OSVERSION=604000
OPTIONS_ENABLED=0
__DSVERSION__=3.0
TINDERD_SLEEPTIME=120
UNAME_n=tinderbox.host
__MKLVL__=1
CCACHE_JAIL=0
LOCALBASE=/usr/local
CCACHE_MAX_SIZE=1G
DISTFILE_URI=
X_WINDOW_SYSTEM=xorg
MASTER_SITE_OVERRIDE=file:///distcache/${DIST_SUBDIR}/
OPTIONS_DIR=
UNAME_r=6.4-RELEASE
USA_RESIDENT=YES
UNAME_s=FreeBSD
PARALLEL_PACKAGE_BUILD=1
PWD=/usr/ports/audio/mp3splt-gtk
UNAME_v=FreeBSD 6.4-RELEASE #0: Wed Oct  7 14:19:37 HKT 2009
root@tinderbox.host:/usr/src/sys/magic/kernel/path
FTP_PASSIVE_MODE=yes
CCACHE_ENABLED=0
INDEXFILE=INDEX-6
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

End Configuration.
FETCH_DEPENDS=
PATCH_DEPENDS=
EXTRACT_DEPENDS=
BUILD_DEPENDS=libmcs-0.7.1_3.tbz libmowgli-0.7.0.tbz
dbus-glib-0.82.tbz libexecinfo-1.1_3.tbz libxml2-2.7.5.tbz
gettext-0.17_1.tbz atk-1.26.0.tbz glib-2.20.5.tbz gtk-2.16.6.tbz
libglade2-2.6.4_1.tbz pango-1.24.5.tbz libX11-1.2.1_1,1.tbz
libSM-1.1.0_1,1.tbz pkg-config-0.23_1.tbz gio-fam-backend-2.20.5.tbz
gconf2-2.26.2_1.tbz libIDL-0.8.13.tbz ORBit2-2.14.17.tbz
dbus-1.2.4.6_1.tbz libiconv-1.13.1.tbz pcre-7.9.tbz
python26-2.6.2_3.tbz perl-5.8.9_3.tbz png-1.2.40.tbz tiff-3.9.1.tbz
jpeg-7.tbz jasper-1.900.1_8.tbz shared-mime-info-0.60_1.tbz
hicolor-icon-theme-0.10_2.tbz libXext-1.0.5,1.tbz
libXrender-0.9.4_1.tbz libXinerama-1.0.3,1.tbz libXi-1.2.1,1.tbz
libXrandr-1.3.0.tbz libXcursor-1.1.9_1.tbz libXfixes-4.0.3_1.tbz
libXdamage-1.1.1.tbz libXcomposite-0.4.0,1.tbz xmlcatmgr-2.2.tbz
cairo-1.8.8,1.tbz xorg-fonts-truetype-7.4.tbz encodings-1.0.2,1.tbz
libXft-2.1.13.tbz libxcb-1.4.tbz kbproto-1.0.3.tbz libXau-1.0.4.tbz
libXdmcp-1.0.2_1.tbz xproto-7.0.15.tbz libICE-1.0.4_1,1.tbz
gamin-0.1.10_3.tbz policykit-0.9_5.tbz gnomehier-2.3_12.tbz
expat-2.0.1.tbz gnome_subr-1.0.tbz xextproto-7.0.5.tbz
renderproto-0.9.3.tbz xineramaproto-1.1.2.tbz inputproto-1.5.0.tbz
randrproto-1.3.0.tbz fixesproto-4.0.tbz damageproto-1.1.0_2.tbz
compositeproto-0.4.tbz freetype2-2.3.9_1.tbz fontconfig-2.6.0,1.tbz
pixman-0.16.0.tbz xcb-util-0.3.6.tbz font-bh-ttf-1.0.0.tbz
font-misc-meltho-1.0.0_1.tbz font-misc-ethiopic-1.0.0.tbz
bitstream-vera-1.10_4.tbz font-util-1.0.1.tbz xcb-proto-1.5.tbz
libpthread-stubs-0.1.tbz mkfontdir-1.0.4.tbz mkfontscale-1.0.6.tbz
libfontenc-1.0.4.tbz audacious-2.1.tbz libmad-0.15.1b_2.tbz
libid3tag-0.15.1b.tbz libogg-1.1.4,4.tbz libvorbis-1.2.3,3.tbz
libltdl-2.2.6a_1.tbz libmp3splt-0.5.7a.tbz
RUN_DEPENDS=libmad-0.15.1b_2.tbz libid3tag-0.15.1b.tbz
libogg-1.1.4,4.tbz libvorbis-1.2.3,3.tbz gettext-0.17_1.tbz
libltdl-2.2.6a_1.tbz pkg-config-0.23_1.tbz libiconv-1.13.1.tbz
libmp3splt-0.5.7a.tbz
add_pkg
================================================================
====================<phase 1: make checksum>====================
=> mp3splt-gtk-0.5.7a.tar.gz doesn't seem to exist in /tmp/distfiles/.
=> Attempting to fetch from file:///distcache//.
mp3splt-gtk-0.5.7a.tar.gz                              296 kB 5170 kBps
=> MD5 Checksum OK for mp3splt-gtk-0.5.7a.tar.gz.
=> SHA256 Checksum OK for mp3splt-gtk-0.5.7a.tar.gz.
================================================================
====================<phase 2: make extract>====================
add_pkg
===>  Extracting for mp3splt-gtk-0.5.7a
=> MD5 Checksum OK for mp3splt-gtk-0.5.7a.tar.gz.
=> SHA256 Checksum OK for mp3splt-gtk-0.5.7a.tar.gz.
================================================================
====================<phase 3: make patch>====================
add_pkg
===>  Patching for mp3splt-gtk-0.5.7a
================================================================
====================<phase 4: make build>====================
add_pkg libmcs-0.7.1_3.tbz libmowgli-0.7.0.tbz dbus-glib-0.82.tbz
libexecinfo-1.1_3.tbz libxml2-2.7.5.tbz gettext-0.17_1.tbz
atk-1.26.0.tbz glib-2.20.5.tbz gtk-2.16.6.tbz libglade2-2.6.4_1.tbz
pango-1.24.5.tbz libX11-1.2.1_1,1.tbz libSM-1.1.0_1,1.tbz
pkg-config-0.23_1.tbz gio-fam-backend-2.20.5.tbz gconf2-2.26.2_1.tbz
libIDL-0.8.13.tbz ORBit2-2.14.17.tbz dbus-1.2.4.6_1.tbz
libiconv-1.13.1.tbz pcre-7.9.tbz python26-2.6.2_3.tbz perl-5.8.9_3.tbz
png-1.2.40.tbz tiff-3.9.1.tbz jpeg-7.tbz jasper-1.900.1_8.tbz
shared-mime-info-0.60_1.tbz hicolor-icon-theme-0.10_2.tbz
libXext-1.0.5,1.tbz libXrender-0.9.4_1.tbz libXinerama-1.0.3,1.tbz
libXi-1.2.1,1.tbz libXrandr-1.3.0.tbz libXcursor-1.1.9_1.tbz
libXfixes-4.0.3_1.tbz libXdamage-1.1.1.tbz libXcomposite-0.4.0,1.tbz
xmlcatmgr-2.2.tbz cairo-1.8.8,1.tbz xorg-fonts-truetype-7.4.tbz
encodings-1.0.2,1.tbz libXft-2.1.13.tbz libxcb-1.4.tbz
kbproto-1.0.3.tbz libXau-1.0.4.tbz libXdmcp-1.0.2_1.tbz
xproto-7.0.15.tbz libICE-1.0.4_1,1.tbz gamin-0.1.10_3.tbz
policykit-0.9_5.tbz gnomehier-2.3_12.tbz expat-2.0.1.tbz
gnome_subr-1.0.tbz xextproto-7.0.5.tbz renderproto-0.9.3.tbz
xineramaproto-1.1.2.tbz inputproto-1.5.0.tbz randrproto-1.3.0.tbz
fixesproto-4.0.tbz damageproto-1.1.0_2.tbz compositeproto-0.4.tbz
freetype2-2.3.9_1.tbz fontconfig-2.6.0,1.tbz pixman-0.16.0.tbz
xcb-util-0.3.6.tbz font-bh-ttf-1.0.0.tbz font-misc-meltho-1.0.0_1.tbz
font-misc-ethiopic-1.0.0.tbz bitstream-vera-1.10_4.tbz
font-util-1.0.1.tbz xcb-proto-1.5.tbz libpthread-stubs-0.1.tbz
mkfontdir-1.0.4.tbz mkfontscale-1.0.6.tbz libfontenc-1.0.4.tbz
audacious-2.1.tbz libmad-0.15.1b_2.tbz libid3tag-0.15.1b.tbz
libogg-1.1.4,4.tbz libvorbis-1.2.3,3.tbz libltdl-2.2.6a_1.tbz
libmp3splt-0.5.7a.tbz
adding dependencies
pkg_add libmcs-0.7.1_3.tbz
./etc/CORBA missing (created)
./etc/CORBA/servers missing (created)
./etc/X11 missing (created)
./etc/X11/serverconfig missing (created)
./etc/X11/starthere missing (created)
./etc/X11/sysconfig missing (created)
./etc/gconf missing (created)
./etc/gconf/gconf.xml.defaults missing (created)
./etc/gconf/gconf.xml.mandatory missing (created)
./etc/gconf/gconf.xml.system missing (created)
./etc/gconf/schemas missing (created)
./etc/gnome missing (created)
./etc/gnome/config missing (created)
./etc/gnome-vfs-2.0 missing (created)
./etc/gnome-vfs-2.0/modules missing (created)
./etc/sound missing (created)
./etc/sound/events missing (created)
./etc/vfs missing (created)
./etc/vfs/modules missing (created)
./etc/xdg missing (created)
./etc/xdg/autostart missing (created)
./include/gconf missing (created)
./include/gdkcardimage missing (created)
./include/gnome-1.0 missing (created)
./lib/GConf missing (created)
./lib/bonobo missing (created)
./lib/bonobo/monikers missing (created)
./lib/bonobo/plugin missing (created)
./lib/gnome-vfs-2.0 missing (created)
./lib/gnome-vfs-2.0/modules missing (created)
./lib/vfs missing (created)
./lib/vfs/modules missing (created)
./libdata/bonobo missing (created)
./libdata/bonobo/servers missing (created)
./share/applets missing (created)
./share/applets/Amusements missing (created)
./share/applets/Clocks missing (created)
./share/applets/Monitors missing (created)
./share/applets/Multimedia missing (created)
./share/applets/Network missing (created)
./share/applets/Utility missing (created)
./share/application-registry missing (created)
./share/capplets missing (created)
./share/control-center missing (created)
./share/control-center/Desktop missing (created)
./share/control-center/Documents missing (created)
./share/control-center/Peripherals missing (created)
./share/control-center/Session missing (created)
./share/control-center/capplets missing (created)
./share/control-center/keybindings missing (created)
./share/control-center-2.0 missing (created)
./share/control-center-2.0/capplets missing (created)
./share/doc/libgda missing (created)
./share/games missing (created)
./share/gnome missing (created)
./share/gnome/apps missing (created)
./share/gnome/apps/Applications missing (created)
./share/gnome/apps/Audio missing (created)
./share/gnome/apps/Development missing (created)
./share/gnome/apps/Games missing (created)
./share/gnome/apps/Graphics missing (created)
./share/gnome/apps/Internet missing (created)
./share/gnome/apps/Multimedia missing (created)
./share/gnome/apps/Settings missing (created)
./share/gnome/apps/Settings/Desktop missing (created)
./share/gnome/apps/Settings/Documents missing (created)
./share/gnome/apps/Settings/Peripherals missing (created)
./share/gnome/apps/Settings/Session missing (created)
./share/gnome/apps/System missing (created)
./share/gnome/apps/Utilities missing (created)
./share/gnome/autostart missing (created)
./share/gnome/help missing (created)
./share/gnome/help/fdl missing (created)
./share/gnome/help/fdl/C missing (created)
./share/gnome/help/gpl missing (created)
./share/gnome/help/gpl/C missing (created)
./share/gnome/help/lgpl missing (created)
./share/gnome/help/lgpl/C missing (created)
./share/gnome/panel missing (created)
./share/gnome/ui missing (created)
./share/gnome/wm-properties missing (created)
./share/gnome-2.0 missing (created)
./share/gnome-2.0/ui missing (created)
./share/gnome-about missing (created)
./share/gnome-control-center missing (created)
./share/gnome-control-center/keybindings missing (created)
./share/images missing (created)
./share/mc missing (created)
./share/mc/templates missing (created)
./share/mime-info missing (created)
./share/oaf missing (created)
./share/omf missing (created)
./share/pixmaps/document-icons missing (created)
./share/pixmaps/splash missing (created)
./share/sgml/docbook missing (created)
./share/sgml/docbook/gnome-customization-0.1 missing (created)
./share/sounds missing (created)
./share/vala missing (created)
./share/vala/vapi missing (created)
./share/vfolders missing (created)
./share/xmodmap missing (created)

====
Note that some of the standard modules are provided as separate
ports since they require extra dependencies:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3		databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

Install them as needed.
====

Removing stale symlinks from /usr/bin...
    Skipping /usr/bin/perl
    Skipping /usr/bin/perl5
Done.
Creating various symlinks in /usr/bin...
    Symlinking /usr/local/bin/perl5.8.9 to /usr/bin/perl
    Symlinking /usr/local/bin/perl5.8.9 to /usr/bin/perl5
Done.
Cleaning up /etc/make.conf... Done.
Spamming /etc/make.conf... Done.
Cleaning up /etc/manpath.config... Done.
Spamming /etc/manpath.config... Done.
Running fc-cache to build fontconfig cache...
/usr/local/lib/X11/fonts: caching, new cache contents: 0 fonts, 3 dirs
/usr/local/lib/X11/fonts/encodings: caching, new cache contents: 0 fonts, 1 dirs
/usr/local/lib/X11/fonts/encodings/large: caching, new cache contents:
0 fonts, 0 dirs
/usr/local/lib/X11/fonts/local: caching, new cache contents: 0 fonts, 0 dirs
/usr/local/lib/X11/fonts/util: caching, new cache contents: 0 fonts, 0 dirs
/root/.fonts: skipping, no such directory
/var/db/fontconfig: cleaning cache directory
/root/.fontconfig: not cleaning non-existent cache directory
fc-cache: succeeded
/var/tmp/instmp.BPvM4M/lib/X11/fonts/bitstream-vera: caching, new
cache contents: 10 fonts, 0 dirs
/var/db/fontconfig: cleaning cache directory
/var/db/fontconfig: invalid cache file:
deea84fa067eec67b69dab1b2344175b-x86.cache-2
/root/.fontconfig: not cleaning non-existent cache directory
/usr/local/bin/fc-cache: succeeded

IMPORTANT - READ CAREFULLY: Please read the COPYRIGHT included with these fonts
before using.  The copyright can be found at
/usr/local/lib/X11/fonts/bitstream-vera/COPYRIGHT.TXT.  To
use these fonts, follow the instructions below.

Make sure that the freetype module is loaded.  If it is not, add the following
line to the "Modules" section of your X Windows configuration file:

	Load "freetype"

Add the following line to the "Files" section of X Windows configuration file:

	FontPath "/usr/local/lib/X11/fonts/bitstream-vera/"

Note: your X Windows configuration file is typically /etc/X11/XF86Config
if you are using XFree86, and /etc/X11/xorg.conf if you are using X.Org.

/usr/local/lib/X11/fonts/TTF: caching, new cache contents: 1 fonts, 0 dirs
/var/db/fontconfig: cleaning cache directory
/var/db/fontconfig: invalid cache file:
ab52d7370ee070ec4b4019332e939518-x86.cache-2
/root/.fontconfig: not cleaning non-existent cache directory
fc-cache: succeeded
/usr/local/lib/X11/fonts/OTF: caching, new cache contents: 1 fonts, 0 dirs
/var/db/fontconfig: cleaning cache directory
/root/.fontconfig: not cleaning non-existent cache directory
fc-cache: succeeded
/usr/local/lib/X11/fonts/OTF: caching, new cache contents: 23 fonts, 0 dirs
/var/db/fontconfig: cleaning cache directory
/var/db/fontconfig: invalid cache file:
d6a82a7420f683b92800b5c72e29748a-x86.cache-2
/root/.fontconfig: not cleaning non-existent cache directory
fc-cache: succeeded
/usr/local/lib/X11/fonts/TTF: caching, new cache contents: 13 fonts, 0 dirs
/var/db/fontconfig: cleaning cache directory
/root/.fontconfig: not cleaning non-existent cache directory
fc-cache: succeeded


*****************************************************************
Although libxcb can yield dramatic improvements in speed,
memory footprint, and responsiveness, and will probably
become the default Xlib for X.org/freedesktop.org, it is
still experimental software.  Some broken callers will abort()
on locking assertion failures.  As a temporary workaround, set
LIBXCB_ALLOW_SLOPPY_LOCK in your environment to skip the abort().
This may result in noisy stacktrace printing.
*****************************************************************


===============================================================================

Gamin will only provide realtime notification of changes for at most n files,
where n is the minimum value between (kern.maxfiles * 0.7) and
(kern.maxfilesperproc - 200). Beyond that limit, files will be polled.

If you often open several large folders with Nautilus, you might want to
increase the kern.maxfiles tunable (you do not need to set
kern.maxfilesperproc, since it is computed at boot time from kern.maxfiles).

For a typical desktop, add the following line to /boot/loader.conf, then
reboot the system:

    kern.maxfiles="25000"

The behavior of gamin can be controlled via the various gaminrc files.
See http://www.gnome.org/~veillard/gamin/config.html on how to create
these files.  In particular, if you find gam_server is taking up too much
CPU time polling for changes, something like the following may help
in one of the gaminrc files:

# reduce polling frequency to once per 10 seconds
# for UFS file systems in order to lower CPU load
fsset ufs poll 10

===============================================================================

pkg_add libmowgli-0.7.0.tbz
skipping libmowgli-0.7.0, already added
pkg_add dbus-glib-0.82.tbz
skipping dbus-glib-0.82, already added
pkg_add libexecinfo-1.1_3.tbz
pkg_add libxml2-2.7.5.tbz
skipping libxml2-2.7.5, already added
pkg_add gettext-0.17_1.tbz
skipping gettext-0.17_1, already added
pkg_add atk-1.26.0.tbz
skipping atk-1.26.0, already added
pkg_add glib-2.20.5.tbz
skipping glib-2.20.5, already added
pkg_add gtk-2.16.6.tbz
skipping gtk-2.16.6, already added
pkg_add libglade2-2.6.4_1.tbz
 + Creating /usr/local/share/sgml/catalog
 + Registering CATALOG catalog.ports (SGML)
 + Creating /usr/local/share/sgml/catalog.ports
 + Creating /usr/local/share/xml/catalog
 + Registering nextCatalog catalog.ports (XML)
 + Creating /usr/local/share/xml/catalog.ports

The following catalogs are installed:

 1) ${PREFIX}/share/sgml/catalog

   The top level catalog for SGML stuff.  It is not changed
   by any ports/packages except textproc/xmlcatmgr.

 2) ${PREFIX}/share/sgml/catalog.ports

   This catalog is for handling SGML stuff installed under
   ${PREFIX}/share/sgml.  It is changed by ports/packages.

 3) ${PREFIX}/share/xml/catalog

   The top level catalog for XML stuff.  It is not changed
   by any ports/packages except textproc/xmlcatmgr.

 4) ${PREFIX}/share/xml/catalog.ports

   This catalog is for handling XML stuff installed under
   ${PREFIX}/share/xml.  It is changed by ports/packages.

pkg_add pango-1.24.5.tbz
skipping pango-1.24.5, already added
pkg_add libX11-1.2.1_1,1.tbz
skipping libX11-1.2.1_1,1, already added
pkg_add libSM-1.1.0_1,1.tbz
pkg_add pkg-config-0.23_1.tbz
skipping pkg-config-0.23_1, already added
pkg_add gio-fam-backend-2.20.5.tbz
skipping gio-fam-backend-2.20.5, already added
pkg_add gconf2-2.26.2_1.tbz
skipping gconf2-2.26.2_1, already added
pkg_add libIDL-0.8.13.tbz
skipping libIDL-0.8.13, already added
pkg_add ORBit2-2.14.17.tbz
skipping ORBit2-2.14.17, already added
pkg_add dbus-1.2.4.6_1.tbz
skipping dbus-1.2.4.6_1, already added
pkg_add libiconv-1.13.1.tbz
skipping libiconv-1.13.1, already added
pkg_add pcre-7.9.tbz
skipping pcre-7.9, already added
pkg_add python26-2.6.2_3.tbz
skipping python26-2.6.2_3, already added
pkg_add perl-5.8.9_3.tbz
skipping perl-5.8.9_3, already added
pkg_add png-1.2.40.tbz
skipping png-1.2.40, already added
pkg_add tiff-3.9.1.tbz
skipping tiff-3.9.1, already added
pkg_add jpeg-7.tbz
skipping jpeg-7, already added
pkg_add jasper-1.900.1_8.tbz
skipping jasper-1.900.1_8, already added
pkg_add shared-mime-info-0.60_1.tbz
skipping shared-mime-info-0.60_1, already added
pkg_add hicolor-icon-theme-0.10_2.tbz
skipping hicolor-icon-theme-0.10_2, already added
pkg_add libXext-1.0.5,1.tbz
skipping libXext-1.0.5,1, already added
pkg_add libXrender-0.9.4_1.tbz
skipping libXrender-0.9.4_1, already added
pkg_add libXinerama-1.0.3,1.tbz
skipping libXinerama-1.0.3,1, already added
pkg_add libXi-1.2.1,1.tbz
skipping libXi-1.2.1,1, already added
pkg_add libXrandr-1.3.0.tbz
skipping libXrandr-1.3.0, already added
pkg_add libXcursor-1.1.9_1.tbz
skipping libXcursor-1.1.9_1, already added
pkg_add libXfixes-4.0.3_1.tbz
skipping libXfixes-4.0.3_1, already added
pkg_add libXdamage-1.1.1.tbz
skipping libXdamage-1.1.1, already added
pkg_add libXcomposite-0.4.0,1.tbz
skipping libXcomposite-0.4.0,1, already added
pkg_add xmlcatmgr-2.2.tbz
skipping xmlcatmgr-2.2, already added
pkg_add cairo-1.8.8,1.tbz
skipping cairo-1.8.8,1, already added
pkg_add xorg-fonts-truetype-7.4.tbz
skipping xorg-fonts-truetype-7.4, already added
pkg_add encodings-1.0.2,1.tbz
skipping encodings-1.0.2,1, already added
pkg_add libXft-2.1.13.tbz
skipping libXft-2.1.13, already added
pkg_add libxcb-1.4.tbz
skipping libxcb-1.4, already added
pkg_add kbproto-1.0.3.tbz
skipping kbproto-1.0.3, already added
pkg_add libXau-1.0.4.tbz
skipping libXau-1.0.4, already added
pkg_add libXdmcp-1.0.2_1.tbz
skipping libXdmcp-1.0.2_1, already added
pkg_add xproto-7.0.15.tbz
skipping xproto-7.0.15, already added
pkg_add libICE-1.0.4_1,1.tbz
skipping libICE-1.0.4_1,1, already added
pkg_add gamin-0.1.10_3.tbz
skipping gamin-0.1.10_3, already added
pkg_add policykit-0.9_5.tbz
skipping policykit-0.9_5, already added
pkg_add gnomehier-2.3_12.tbz
skipping gnomehier-2.3_12, already added
pkg_add expat-2.0.1.tbz
skipping expat-2.0.1, already added
pkg_add gnome_subr-1.0.tbz
skipping gnome_subr-1.0, already added
pkg_add xextproto-7.0.5.tbz
skipping xextproto-7.0.5, already added
pkg_add renderproto-0.9.3.tbz
skipping renderproto-0.9.3, already added
pkg_add xineramaproto-1.1.2.tbz
skipping xineramaproto-1.1.2, already added
pkg_add inputproto-1.5.0.tbz
skipping inputproto-1.5.0, already added
pkg_add randrproto-1.3.0.tbz
skipping randrproto-1.3.0, already added
pkg_add fixesproto-4.0.tbz
skipping fixesproto-4.0, already added
pkg_add damageproto-1.1.0_2.tbz
skipping damageproto-1.1.0_2, already added
pkg_add compositeproto-0.4.tbz
skipping compositeproto-0.4, already added
pkg_add freetype2-2.3.9_1.tbz
skipping freetype2-2.3.9_1, already added
pkg_add fontconfig-2.6.0,1.tbz
skipping fontconfig-2.6.0,1, already added
pkg_add pixman-0.16.0.tbz
skipping pixman-0.16.0, already added
pkg_add xcb-util-0.3.6.tbz
skipping xcb-util-0.3.6, already added
pkg_add font-bh-ttf-1.0.0.tbz
skipping font-bh-ttf-1.0.0, already added
pkg_add font-misc-meltho-1.0.0_1.tbz
skipping font-misc-meltho-1.0.0_1, already added
pkg_add font-misc-ethiopic-1.0.0.tbz
skipping font-misc-ethiopic-1.0.0, already added
pkg_add bitstream-vera-1.10_4.tbz
skipping bitstream-vera-1.10_4, already added
pkg_add font-util-1.0.1.tbz
skipping font-util-1.0.1, already added
pkg_add xcb-proto-1.5.tbz
skipping xcb-proto-1.5, already added
pkg_add libpthread-stubs-0.1.tbz
skipping libpthread-stubs-0.1, already added
pkg_add mkfontdir-1.0.4.tbz
skipping mkfontdir-1.0.4, already added
pkg_add mkfontscale-1.0.6.tbz
skipping mkfontscale-1.0.6, already added
pkg_add libfontenc-1.0.4.tbz
skipping libfontenc-1.0.4, already added
pkg_add audacious-2.1.tbz

audacious supports Gzipped and uncompressed skins.  If you would like to use
Zip format skins you will need to ensure archivers/unzip is installed.


ATTENTION!

  You should now go and install multimedia/audacious-plugins. Without it,
  audacious is useless!



pkg_add libmad-0.15.1b_2.tbz
pkg_add libid3tag-0.15.1b.tbz
pkg_add libogg-1.1.4,4.tbz
pkg_add libvorbis-1.2.3,3.tbz
pkg_add libltdl-2.2.6a_1.tbz
pkg_add libmp3splt-0.5.7a.tbz
===>   mp3splt-gtk-0.5.7a depends on executable: audacious2 - found
===>   mp3splt-gtk-0.5.7a depends on shared library: mp3splt - found
===>   mp3splt-gtk-0.5.7a depends on shared library: ltdl.7 - found
===>  Configuring for mp3splt-gtk-0.5.7a
checking for a BSD-compatible install... /usr/bin/install -c -o root -g wheel
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... ./install-sh -c -d
checking for gawk... no
checking for mawk... no
checking for nawk... nawk
checking whether make sets $(MAKE)... yes
checking for gcc... cc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether cc accepts -g... yes
checking for cc option to accept ISO C89... none needed
checking for style of include used by make... GNU
checking dependency style of cc... gcc3
checking how to run the C preprocessor... cc -E
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for unistd.h... (cached) yes
checking whether NLS is requested... yes
checking for msgfmt... /usr/local/bin/msgfmt
checking for gmsgfmt... /usr/local/bin/msgfmt
checking for xgettext... /usr/local/bin/xgettext
checking for msgmerge... /usr/local/bin/msgmerge
checking build system type... i386-portbld-freebsd6.4
checking host system type... i386-portbld-freebsd6.4
checking for ld used by GCC... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for shared library run path origin... done
checking whether NLS is requested... yes
checking for GNU gettext in libc... no
checking for iconv... yes
checking how to link with libiconv... /usr/local/lib/libiconv.so
-Wl,-rpath -Wl,/usr/local/lib
checking for GNU gettext in libintl... yes
checking whether to use NLS... yes
checking where the gettext function comes from... external libintl
checking how to link with libintl... /usr/local/lib/libintl.so
/usr/local/lib/libiconv.so -Wl,-rpath -Wl,/usr/local/lib
checking the host... FreeBSD
checking for pkg-config... /usr/local/bin/pkg-config
checking for GTK+ - version >= 2.12.0... yes (version 2.16.6)
checking for libmp3splt... yes
checking pkg-config is at least version 0.9.0... yes
checking for AUDACIOUS... yes
checking for GST... no
configure: error: GStreamer >= 0.10 development files are not installed.

    Install it or configure with "--disable-gstreamer".
===>  Script "configure" failed unexpectedly.
Please report the problem to beyert@cs.ucr.edu [maintainer] and attach the
"/work/a/ports/audio/mp3splt-gtk/work/mp3splt-gtk-0.5.7a/config.log" including
the output of the failure of your make command. Also, it might be a good idea
to provide an overview of all packages installed on your system (e.g. an `ls
/var/db/pkg`).
*** Error code 1

Stop in /a/ports/audio/mp3splt-gtk.
================================================================
build of /usr/ports/audio/mp3splt-gtk ended at Wed Oct  7 07:49:16 UTC 2009
Comment 4 Timothy Beyer 2009-10-07 11:21:01 UTC
At Wed, 7 Oct 2009 16:11:48 +0800,
wen heping wrote:
>=20
> Hi,
>=20
> =A0=A0 The build failed on my tinderbox, here is the build log , would yo=
u have
> =A0a check of it ?
>=20

(text omitted)

> checking for libmp3splt... yes
> checking pkg-config is at least version 0.9.0... yes
> checking for AUDACIOUS... yes
> checking for GST... no
> configure: error: GStreamer >=3D 0.10 development files are not installed.
>=20
>     Install it or configure with "--disable-gstreamer".
> =3D=3D=3D>  Script "configure" failed unexpectedly.
> Please report the problem to beyert@cs.ucr.edu [maintainer] and attach the
>=20
> "/work/a/ports/audio/mp3splt-gtk/work/mp3splt-gtk-0.5.7a/config.log" incl=
uding
> the output of the failure of your make command. Also, it might be a good =
idea
> to provide an overview of all packages installed on your system (e.g. an =
`ls
>=20
> /var/db/pkg`).
> *** Error code 1
>=20
> Stop in /a/ports/audio/mp3splt-gtk.
> =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
> build of /usr/ports/audio/mp3splt-gtk ended at Wed Oct  7 07:49:16 UTC 20=
09
>=20
>=20

Hi,

Sorry, I had gstreamer, and a lot of libraries installed, so I forgot to ad=
d a
LIB_DEPENDS for them... I also am activating the USE_GSTREAMER value -- if
anyone knows which specific GSTREAMER modules mp3split-gtk uses, go ahead a=
nd
optimize it, but the official documentation doesn't say, so I will include =
it
all for now.

Here is a better makefile than the one I submitted, use this instead:

--- Makefile.diff begins here ---
--- Makefile.orig	2009-10-07 03:14:24.000000000 -0700
+++ Makefile	2009-10-07 03:09:04.000000000 -0700
@@ -11,10 +11,15 @@
 MAINTAINER=3D	beyert@cs.ucr.edu
 COMMENT=3D	Utility to split mp3 and ogg files (via GTK Interface)
=20
-LIB_DEPENDS=3D	mp3splt:${PORTSDIR}/audio/libmp3splt
+LIB_DEPENDS=3D	mp3splt:${PORTSDIR}/audio/libmp3splt \
+				mad.2:${PORTSDIR}/audio/libmad \
+				ogg.6:${PORTSDIR}/audio/libogg \
+				vorbis.4:${PORTSDIR}/audio/libvorbis \
+				id3tag.0:${PORTSDIR}/audio/libid3tag
 BUILD_DEPENDS=3D	audacious2:${PORTSDIR}/multimedia/audacious
=20
 USE_AUTOTOOLS=3D	libltdl
+USE_GSTREAMER=3D	yes
 GNU_CONFIGURE=3D	yes
 CONFIGURE_ENV+=3D	LDFLAGS=3D"${LDFLAGS} -L${LOCALBASE}/lib" \
 		CPPFLAGS=3D"${CPPFLAGS} -I${LOCALBASE}/include"
--- Makefile.diff ends here ---
Comment 5 Timothy Beyer 2009-10-07 11:35:15 UTC
Hi,

Somehow my reply was corrupted, I think this reply should work.

Here is a better makefile than the one I submitted, use this instead:

--- Makefile.diff begins here ---
--- Makefile.orig	2009-10-07 03:14:24.000000000 -0700
+++ Makefile	2009-10-07 03:09:04.000000000 -0700
@@ -11,10 +11,15 @@
 MAINTAINER=	beyert@cs.ucr.edu
 COMMENT=	Utility to split mp3 and ogg files (via GTK Interface)
 
-LIB_DEPENDS=	mp3splt:${PORTSDIR}/audio/libmp3splt
+LIB_DEPENDS=	mp3splt:${PORTSDIR}/audio/libmp3splt \
+				mad.2:${PORTSDIR}/audio/libmad \
+				ogg.6:${PORTSDIR}/audio/libogg \
+				vorbis.4:${PORTSDIR}/audio/libvorbis \
+				id3tag.0:${PORTSDIR}/audio/libid3tag
 BUILD_DEPENDS=	audacious2:${PORTSDIR}/multimedia/audacious
 
 USE_AUTOTOOLS=	libltdl
+USE_GSTREAMER=	yes
 GNU_CONFIGURE=	yes
 CONFIGURE_ENV+=	LDFLAGS="${LDFLAGS} -L${LOCALBASE}/lib" \
 		CPPFLAGS="${CPPFLAGS} -I${LOCALBASE}/include"
--- Makefile.diff ends here ---
Comment 6 dfilter service freebsd_committer 2009-11-27 10:53:17 UTC
wen         2009-11-27 10:53:04 UTC

  FreeBSD ports repository

  Modified files:
    audio                Makefile 
  Added files:
    audio/mp3splt-gtk    Makefile distinfo pkg-descr pkg-plist 
  Log:
  Mp3Splt is a command line utility to split mp3 and ogg files selecting a begin
  and an end time position, without decoding. It's very useful to split large
  mp3/ogg to make smaller files or to split entire albums to obtain original
  tracks. If you want to split an album, you can select split points and
  filenames manually or you can get them automatically from CDDB (Internet or a
  local file) or from .cue files.  Otherwise if you have a file created either
  with Mp3Wrap or AlbumWrap you can extract tracks just in few seconds. Supports
  VBR mp3.
  
  WWW: http://mp3splt.sourceforge.net/
  
  PR:             ports/139168
  Submitted by:   Timothy Beyer <beyert@cs.ucr.edu>
  
  Revision  Changes    Path
  1.1075    +1 -0      ports/audio/Makefile
  1.1       +31 -0     ports/audio/mp3splt-gtk/Makefile (new)
  1.1       +3 -0      ports/audio/mp3splt-gtk/distinfo (new)
  1.1       +10 -0     ports/audio/mp3splt-gtk/pkg-descr (new)
  1.1       +11 -0     ports/audio/mp3splt-gtk/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Wen Heping freebsd_committer 2009-11-27 10:55:08 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!